%define		qtver	5.12
Summary:	A keyboard-driven, vim-like browser based on PyQt5
Name:		qutebrowser
Version:	2.0.2
Release:	1
License:	GPL v3+
Group:		X11/Applications/Networking
Source0:	https://github.com/qutebrowser/qutebrowser/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	517bdd6b2e2e29179f271b5e93495db7
URL:		https://www.qutebrowser.org/
BuildRequires:	asciidoc
BuildRequires:	python3 >= 1:3.6.1
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5OpenGL >= %{qtver}
Requires:	Qt5Sql >= %{qtver}
Requires:	Qt5Sql-sqldriver-sqlite3 >= %{qtver}
Requires:	Qt5WebEngine >= %{qtver}
Requires:	bash
Requires:	hicolor-icon-theme
Requires:	python3 >= 1:3.6.1
Requires:	python3-PyQt5 >= 5.12.0
Requires:	python3-PyQtWebEngine
Requires:	python3-PyYAML
Requires:	python3-jinja2
Suggests:	python3-pygments
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qutebrowser is a keyboard-focused browser with a minimal GUI. It’s
based on Python, PyQt5 and QtWebEngine and free software, licensed
under the GPL. It was inspired by other browsers/addons like dwb and
Vimperator/Pentadactyl.

%package userscripts
Summary:	User scripts for qutebrowser
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description userscripts
User scripts for qutebrowser.

%prep
%setup -q

grep -r '#!.*env bash' -l . | xargs %{__sed} -i -e '1 s,#!.*env bash.*,#!/bin/bash,'
grep -r '#!.*env python' -l . | xargs %{__sed} -i -e '1 s,#!.*env python.*,#!%{__python3},'
grep -r '#!.*env node' -l . | xargs %{__sed} -i -e '1 s,#!.*env node.*,#!/usr/bin/node,'

%build
%py3_build

%{__python3} scripts/asciidoc2html.py

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__make} -f misc/Makefile install PYTHON=/bin/true DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc README.asciidoc
%attr(755,root,root) %{_bindir}/qutebrowser
%{py3_sitescriptdir}/qutebrowser
%{py3_sitescriptdir}/qutebrowser-%{version}-py*.egg-info
%{_desktopdir}/org.qutebrowser.qutebrowser.desktop
%{_iconsdir}/hicolor/*x*/apps/qutebrowser.png
%{_iconsdir}/hicolor/scalable/apps/qutebrowser.svg
%{_mandir}/man1/qutebrowser.1*
%{_datadir}/metainfo/org.qutebrowser.qutebrowser.appdata.xml
%dir %{_datadir}/qutebrowser
%dir %{_datadir}/qutebrowser/scripts
%{_datadir}/qutebrowser/scripts/*.js
%attr(755,root,root) %{_datadir}/qutebrowser/scripts/*.py
%attr(755,root,root) %{_datadir}/qutebrowser/scripts/*.sh

%files userscripts
%defattr(644,root,root,755)
%dir %{_datadir}/qutebrowser/userscripts
%attr(755,root,root) %{_datadir}/qutebrowser/userscripts/*
%changelog
* Thu Feb 04 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qutebrowser.git;a=log;h=master

* Thu Feb 04 2021 Jan Palus <atler@pld-linux.org> a8e781e
- up to 2.0.2

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> bcd0837
- up to 2.0.1

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> d8ee1b3
- up to 2.0.0

* Fri Dec 04 2020 Jan Palus <atler@pld-linux.org> bd2c44c
- up to 1.14.1

* Thu Oct 15 2020 Jan Palus <atler@pld-linux.org> 2d81f36
- up to 1.14.0

* Fri Jul 17 2020 Jan Palus <atler@pld-linux.org> fa61bde
- up to 1.13.1

* Fri Jun 26 2020 Jan Palus <atler@pld-linux.org> 4c6a84a
- up to 1.13.0

* Mon Jun 01 2020 Jan Palus <atler@pld-linux.org> 9f38274
- up to 1.12.0

* Thu May 07 2020 Jan Palus <atler@pld-linux.org> 630cd96
- up to 1.11.1 (fixes CVE-2020-11054)

* Sun May 03 2020 Jan Palus <atler@pld-linux.org> 6663324
- R: python3-PyQtWebEngine

* Sun May 03 2020 Jan Palus <atler@pld-linux.org> 2b91ed1
- move userscripts to subpackage

* Mon Apr 27 2020 Jan Palus <atler@pld-linux.org> b999a8d
- up to 1.11.0

* Fri Apr 17 2020 Jan Palus <atler@pld-linux.org> d196a26
- up to 1.10.2

* Sat Feb 15 2020 Jan Palus <atler@pld-linux.org> b019ecd
- up to 1.10.1

* Sun Feb 02 2020 Jan Palus <atler@pld-linux.org> 7f94163
- up to 1.10.0

* Wed Jan 08 2020 Jan Palus <atler@pld-linux.org> c57333c
- up to 1.9.0

* Thu Dec 05 2019 Jan Palus <atler@pld-linux.org> d1d78f1
- up to 1.8.3

* Sat Nov 23 2019 Jan Palus <atler@pld-linux.org> 67ea177
- up to 1.8.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e086f20
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Sep 25 2019 Jan Palus <atler@pld-linux.org> e7437e4
- up to 1.8.0

